#ifndef GAME_H
#define GAME_H

#include <cpctelera.h>
#include "entities.h"
#include "levels.h"
#include "utils/utils.h"
#include "screens.h"
#include "render.h"

extern ERedrawFlag redrawHudFlags;
extern u8 currentLevel;
extern u16 globalScore;     // Accumulated score.
extern u16 levelScore;      // Score so far in the current level, gets reset on death.
extern EGameState gameState;

void showGame();
void update();
void setGameOver(EGameState state);
void changeScore(u16 amount);

#endif /* GAME_H */
