#include "globals.h"

// Stores health level for each enemy per level.
const u8 const cEnemyHealthLevels[NUM_LEVELS] = {
   2,
   3,
   4,
   4,
   5,
   9,      // Final boss.
};

// Used for looking up enemy colors per level.
const u8 const cEnemyColorValues[NUM_LEVELS] = {
   HW_YELLOW,
   HW_GREEN,
   HW_SKY_BLUE,
   HW_LIME,
   HW_PASTEL_MAGENTA,
   HW_PURPLE,    // Final boss.
};

const u16 const cJumpVelocities[JUMPSTEPS] = {
   1000,
   990,
   970,
   940,
   850,
   790,
   720,
   660,
   620,
   570,
   530,
   470,
   430,
   360,
   320,
};