#include "screens.h"

TScreen allScreens[MAX_SCREENS];
TScreen *currentScreen;


void addCoin(TScreen *screen, TCoin *coin) {
   screen->coins[screen->numCoins] = coin;
   screen->numCoins++;
}


void addKey(TScreen *screen, TKey *key) {
   screen->keys[screen->numKeys] = key;
   screen->numKeys++;
}


void addLock(TScreen *screen, TLock *lock) {
   screen->locks[screen->numLocks] = lock;
   screen->numLocks++;
}


void addBridge(TScreen *screen, TBridge *bridge) {
   screen->bridges[screen->numBridges] = bridge;
   screen->numBridges++;
}


void addEnemy(TScreen *screen, TCharacter *enemy) {
   screen->enemies[screen->numEnemies] = enemy;
   screen->numEnemies++;
}