#ifndef SOUND_FX_H
#define SOUND_FX_H

#include <cpctelera.h>
#include "arkosPlayer2.h"
#include "../globals.h"

enum {
   SONG_MAIN,
   SONG_EMPTY,
};


enum {
   CHANNEL_A,
   CHANNEL_B,
   CHANNEL_C
};

enum {
   SFX_NONE,
   SFX_JUMP,
   SFX_COLLECT_KEY,
   SFX_COLLECT_COIN,
   SFX_BRIDGE_TILE,
   SFX_HURT,
   SFX_DEFENDED,
   SFX_ENEMY_KILLED,
   SFX_LEVEL_COMPLETE,
};

void initSound();
void playSound();
void stopMusic();
void resumeSound();

void initMusic(void* music);
void activateMusic();

void initSFX(void* sfx);
void playSFX(u8 fx);
void activateSFX();

#endif
