#ifndef RENDER_H
#define RENDER_H

#include <cpctelera.h>
#include "gamemode/game.h"
#include "entities.h"
#include "globals.h"
#include "assets/bitmapfont.h"
#include "assets/healthhud.h"
#include "levels.h"
#include "animations.h"
#include "utils/utils.h"

void initHud();
void initHeroAnimation(TCharacter *h);
void initEnemyAnimation(TCharacter *e);
void renderScreen();
void renderScreenComplete();
void drawText(u8 string[], u8 posX, u8 posY, u8 transparent);
void renderMap();

#endif /* RENDER_H */

