#ifndef SCREENS_H
#define SCREENS_H

#include <types.h>
#include "globals.h"
#include "entities.h"

extern TScreen allScreens[];
extern TScreen *currentScreen;

void addEnemy (TScreen *screen, TCharacter *enemy);
void addCoin  (TScreen *screen, TCoin *coin);
void addKey   (TScreen *screen, TKey *key);
void addLock  (TScreen *screen, TLock *lock);
void addBridge(TScreen *screen, TBridge *bridge);

void removeEnemy (TScreen *screen, u8 index);
void removeCoin  (TScreen *screen, u8 index);
void removeKey   (TScreen *screen, u8 index);
void removeLock  (TScreen *screen, u8 index);
void removeBridge(TScreen *screen, u8 index);


#endif /* SCREENS_H */

